Bug 145080 - Up2 date unable to download packages due to dependancies not met.
Up2 date unable to download packages due to dependancies not met.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 00:22 EST by James W. Hammer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:12:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James W. Hammer 2005-01-14 00:22:10 EST
Description of problem:
While using up2date applet to retrive updates in X, up2date hangs when
downloading updates for NetworkManager-0.3.3-1 and
NetworkManager-gnome-0.3. Requires bind.i386 and
caching-nameserver.noarch to be installed. up2date doesn't prompt to
download or install these packages. If "yum update" is run from
command prompt, packages update normally after answering "y" to prompt: 
Performing the following to resolve dependencies:
  Install: bind.i386 20:9.2.4-2
  Install: caching-nameserver.noarch 0:7.3-3
Is this ok [y/N]: y


Version-Release number of selected component (if applicable):


How reproducible: Do not install bind or caching nameserver on
install, and query for updates using up2date applet in X.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
up2date is a simplified way to use yum, therefore it must be able to
handle a simple de-confliction such as simply downloading dependencies
to satisfy updates, or giving the user a choice. It could be specified
in preferences. New and inexperienced users will trip over this one,
but advanced users will be able to work around it easily.

To work around it: run "yum update" from the command line as root.
answer "y" to download and install the programs to fulfill the
dependencies.
Comment 1 Adrian Likins 2005-01-14 14:30:45 EST
what version of up2date?
Comment 2 James W. Hammer 2005-01-16 13:54:23 EST
I am using:
up2date-4.3.47-5
up2date-gnome-4.3.47-5
yum-2.1.12-0.fc3
When I used the gui in X, the gui program appeared to lock up. When I
used yum it proceeded quickly and normally.
Comment 3 James W. Hammer 2005-01-16 14:05:52 EST
here is the output from yum when I figured out the problem and
successfully downloaded the updates:

[root@computer yum.repos.d]# yum update
Setting up Update Process
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
base      : ################################################## 2622/2622
primary.xml.gz            100% |=========================| 211 kB    00:01
MD Read   : ################################################## 496/496
updates-re: ################################################## 496/496
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for NetworkManager to pack into transaction set.
NetworkManager-0.3.3-1.cv 100% |=========================|  11 kB    00:00
---> Package NetworkManager.i386 0:0.3.3-1.cvs20050112.1.fc3 set to be
updated
---> Downloading header for NetworkManager-gnome to pack into
transaction set.
NetworkManager-gnome-0.3. 100% |=========================| 9.7 kB    00:00
---> Package NetworkManager-gnome.i386 0:0.3.3-1.cvs20050112.1.fc3 set
to be updated
---> Downloading header for udev-debuginfo to pack into transaction set.
udev-debuginfo-039-10.FC3 100% |=========================|  17 kB    00:00
---> Package udev-debuginfo.i386 0:039-10.FC3.6 set to be updated
---> Downloading header for hal to pack into transaction set.
hal-0.4.5-1.FC3.i386.rpm  100% |=========================|  18 kB    00:00
---> Package hal.i386 0:0.4.5-1.FC3 set to be updated
--> Running transaction check
--> Processing Dependency: caching-nameserver for package: NetworkManager
--> Processing Dependency: bind for package: NetworkManager
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for caching-nameserver to pack into
transaction set.
caching-nameserver-7.3-3. 100% |=========================| 6.8 kB    00:00
---> Package caching-nameserver.noarch 0:7.3-3 set to be installed
---> Downloading header for bind to pack into transaction set.
bind-9.2.4-2.i386.rpm     100% |=========================|  33 kB    00:00
---> Package bind.i386 20:9.2.4-2 set to be installed
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: NetworkManager.i386 0:0.3.3-1.cvs20050112.1.fc3
  Update: NetworkManager-gnome.i386 0:0.3.3-1.cvs20050112.1.fc3
  Update: hal.i386 0:0.4.5-1.FC3
  Update: udev-debuginfo.i386 0:039-10.FC3.6

Performing the following to resolve dependencies:
  Install: bind.i386 20:9.2.4-2
  Install: caching-nameserver.noarch 0:7.3-3
Is this ok [y/N]: y
Downloading Packages:
NetworkManager-0.3.3-1.cv 100% |=========================| 123 kB    00:00
NetworkManager-gnome-0.3. 100% |=========================|  73 kB    00:00
udev-debuginfo-039-10.FC3 100% |=========================| 143 kB    00:01
hal-0.4.5-1.FC3.i386.rpm  100% |=========================| 154 kB    00:00
caching-nameserver-7.3-3. 100% |=========================|  22 kB    00:00
bind-9.2.4-2.i386.rpm     100% |=========================| 462 kB    00:05
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating: hal 100 % done 1/10
Installing: bind 100 % done 2/10
Installing: caching-nameserver 100 % done 3/10
Updating: NetworkManager 100 % done 4/10
Updating: NetworkManager-gnome 100 % done 5/10
Updating: udev-debuginfo 100 % done 6/10
Completing update for NetworkManager  - 7/10
Completing update for NetworkManager-gnome  - 8/10
Completing update for udev-debuginfo  - 9/10
Completing update for hal  - 10/10

Dependency Installed: bind.i386 20:9.2.4-2 caching-nameserver.noarch
0:7.3-3
Updated: NetworkManager.i386 0:0.3.3-1.cvs20050112.1.fc3
NetworkManager-gnome.i386 0:0.3.3-1.cvs20050112.1.fc3 hal.i386
0:0.4.5-1.FC3 udev-debuginfo.i386 0:039-10.FC3.6
Complete!
Comment 4 James W. Hammer 2005-01-18 03:11:57 EST
New. I had problems updating the wireless tools package: 

Recieved this message from up2date:
There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
NetworkManager  0.3.3-1.cvs20050112.1.fc requires libiw.so.27
kdenetwork  3.3.1-1                      requires libiw.so.27

Please modify your package selections and try again.

Here is a record of runnig yum update from the command line. The
package will not update.

[root@home365 hammerjw]# yum update
Setting up Update Process
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  updates-released
http://fedora-mirror.dkuug.dk/linux/core/updates/3/i386/repodata/repomd.xml:
[Errno 4] IOError: HTTP Error 404: Not Found
Trying other mirror.
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
base      : ################################################## 2622/2622
primary.xml.gz            100% |=========================| 216 kB    00:01
MD Read   : ################################################## 514/514
updates-re: ################################################## 514/514
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for wireless-tools to pack into transaction set.
wireless-tools-28-0.pre4. 100% |=========================| 7.5 kB    00:00
---> Package wireless-tools.i386 1:28-0.pre4.1.fc3 set to be updated
--> Running transaction check
--> Processing Dependency: libiw.so.27 for package: kdenetwork
--> Processing Dependency: libiw.so.27 for package: NetworkManager
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for wireless-tools to pack into transaction set.
wireless-tools-27-0.pre25 100% |=========================| 7.3 kB    00:00
---> Package wireless-tools.i386 1:27-0.pre25.2 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: wireless-tools.i386 1:28-0.pre4.1.fc3

Performing the following to resolve dependencies:
  Update: wireless-tools.i386 1:27-0.pre25.2
Is this ok [y/N]: y
Downloading Packages:
wireless-tools-28-0.pre4. 100% |=========================|  95 kB    00:01
wireless-tools-27-0.pre25 100% |=========================|  92 kB    00:00
Running Transaction Test
Finished Transaction Test
Transaction Check Error:   package wireless-tools-27-0.pre25.3 (which
is newer than wireless-tools-27-0.pre25.2) is already installed
  file /sbin/ifrename conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwconfig conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwevent conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwgetid conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwlist conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwpriv conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwspy conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/include/iwlib.h conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/include/wireless.h conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/lib/libiw.so conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man5/iftab.5.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/ifrename.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwconfig.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwevent.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwgetid.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwspy.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
[root@home365 hammerjw]# yum update
Setting up Update Process
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00
Reading repository metadata in from local files
base      : ################################################## 2622/2622
updates-re: ################################################## 514/514
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wireless-tools.i386 1:28-0.pre4.1.fc3 set to be updated
--> Running transaction check
--> Processing Dependency: libiw.so.27 for package: kdenetwork
--> Processing Dependency: libiw.so.27 for package: NetworkManager
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package wireless-tools.i386 1:27-0.pre25.2 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: wireless-tools.i386 1:28-0.pre4.1.fc3

Performing the following to resolve dependencies:
  Update: wireless-tools.i386 1:27-0.pre25.2
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Check Error:   package wireless-tools-27-0.pre25.3 (which
is newer than wireless-tools-27-0.pre25.2) is already installed
  file /sbin/ifrename conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwconfig conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwevent conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwgetid conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwlist conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwpriv conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /sbin/iwspy conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/include/iwlib.h conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/include/wireless.h conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/lib/libiw.so conflicts between attempted installs of
wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man5/iftab.5.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/ifrename.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwconfig.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwevent.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwgetid.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
  file /usr/share/man/man8/iwspy.8.gz conflicts between attempted
installs of wireless-tools-27-0.pre25.2 and wireless-tools-28-0.pre4.1.fc3
Comment 5 Matthew Miller 2006-07-10 19:05:57 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-29 10:12:20 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.